API reference · Custom watchlist

Add custom watchlist entry from session

POST/omni/add/watchlist/session

Base URL: https://demo-api.incodesmile.com — Incode demo environment

Works with Admin Token.

Path & query parameters

Name In Type Required Description
api-version header string yes

Request body

Content-Type: application/json

Field Type Required Description
sessionId string
watchlistType string Enum: WHITELIST, BLACKLIST
recordExpiresAt string

Responses

200

OK

Response body (application/json):

Field Type Required Description
success boolean Flag indicating request passed successfully.
sessionStatus string Session status Enum: Alive, Closed, Deleted

400

Bad Request

Response body (application/json):

Field Type Required Description
timestamp integer (int64) UTC timestamp in milliseconds
status integer (int32) Custom error code or HTTP status code
error string HTTP status error
message string Custom error message
path string Endpoint path
details object Custom error details
Was this page helpful?